Subject: RE: Tentative summary (was RE: [ipfix] STCP as a default transport not)

From: "Carter Bullard" <[email-masked]>
Date: Fri, 17 Oct 2003 14:53:24 -0400

Hey Reinaldo,
   Well, yes, that was the position of the 4-5 Cisco employees
that sent mail.  Benoit, Randall, Peter Lei, and Stevan Bryant,
(there maybe another, I'm sorry if I'm not keeping up) all
suggested that SCTP would be perfect for both the reliable and
unreliable transport needs of IPFIX, so they proposed a single
protocol, which of course would be the default.

Carter

-----Original Message-----
From: Reinaldo Penno [mailto:[email-masked]]
Sent: Friday, October 17, 2003 1:48 PM
To: [email-masked]; [email-masked]; MEYER,JEFFREY D
(HP-Cupertino,ex1)
Cc: Peter Lei; Robert Lowe; Randall Stewart (cisco); Benoit Claise;
[email-masked]; [email-masked]; [email-masked]
Subject: Tentative summary (was RE: [ipfix] STCP as a default transport not)

I'm trying to understand something. Is there anyone that proposes SCTP to be
the ONLY protocol? I'm following the discussions on which is better, time to
market, etc, but this is not clear to me.

Is there someone that does NOT agree with having TCP as default and SCTP as
optional? In the protocol draft we would specify mappings, template
management, fail-over, etc for both of them. SCTP would not be ditched from
the draft in any way. Is this a good compromise?
There is no need to send your list of objections either way, I'm trying to
understand the positions on SCTP only vs (TCP and SCTP) with TCP as default.

Thanks,
Reinaldo

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Sun, 19 Oct 2003 08:06:46 -0500

Carter:

I think there may have been one or two others not at Cisco that have
taken this position as well.. but since I can't speak for anyone but
myself.. let me state it explicitly for me..

1) I see no need to specify TCP at all.. it gains you nothing.
2) SCTP is available on at least 30 or more platforms and is
    currently deployed in the big I doing SS7 call control over the
    network.. its available and there so I see no deployment issues.
3) PR-SCTP may not yet be there in all of the implementations.. but
    that is not a problem either since if you don't have PR-SCTP then
    you end up with a basic SCTP wth full reliability.. which is no
    different than TCP.
4) I would be strongly against any "mandatory to implement" TCP.
5) If you want to make it mandatory to impelment SCTP and optional
    to implement TCP .. I would accept that as a compromise.
6) As an alternative make NEITHER protocol mandatory and let the market
    decide.

R

-- 
Randall R. Stewart
ITD
Cisco Systems Inc.
[email-masked] 815-342-5222(cell) or 815-477-2127(office)